import Axios from '@/axios/request.js'
import axios from 'axios'

const baseUrl = ''
export default {
  queryEvaluationPerformance (params) {
    // 施工评价查看详情
    return Axios({
      url: baseUrl + '/constructionPda/construction/queryEvaluationPerformance',
      method: 'get',
      params: params
    })
  },
  // 定员待评价列表
  getEvaluatedList (params) {
    return Axios({
      url: baseUrl + '/constructionPda/complement/getEvaluatedList',
      method: 'get',
      params: params
    })
  },
  // 施工评价签字确认 /constructionPda/construction/evaluationSignature
  evaluationSignature (data) {
    return Axios({
      url: baseUrl + '/constructionPda/construction/evaluationSignature',
      method: 'post',
      data
    })
  },
  // 绩效结算
  performanceSignature (data) {
    return Axios({
      url: baseUrl + '/constructionPda/construction/performanceSignature',
      method: 'post',
      data
    })
  },
  // 施工绩效查看详情
  queryPerformance (params) {
    return Axios({
      url: baseUrl + '/constructionPda/construction/queryPerformance',
      method: 'get',
      params: params
    })
  },
  // 文档完整性计控师确认
  integrityDocumentationConfirm (params) {
    return Axios({
      url: baseUrl + '/constructionPda/complement/integrityDocumentationConfirm',
      method: 'get',
      params: params
    })
  },
  // 图片转 base64
  uploadFile (data) {
    return Axios({
      url: baseUrl + '/minio/upload',
      method: 'post',
      data
    })
  },
  // 完工报告列表
  getCompletionReportList (params) {
    return Axios({
      url: baseUrl + '/constructionPda/complement/getCompletionReportList',
      method: 'get',
      params
    })
  },
  // 完工报告
  approveCompletionReport (data) {
    return Axios({
      url: baseUrl + '/constructionPda/construction/approveCompletionReport',
      method: 'post',
      data
    })
  },
  // 完工报告查看详情
  getCompletionReportDetail (params) {
    return Axios({
      url: baseUrl + '/constructionPda/complement/getCompletionReportDetail',
      method: 'get',
      params
    })
  },
  // 文档完整性列表
  getIntegrityDocumentationList (params) {
    return Axios({
      url: baseUrl + '/constructionPda/complement/getIntegrityDocumentationList',
      method: 'get',
      params
    })
  },
  // 文档完整性查看详情
  getIntegrityDocumentationDetail (params) {
    return Axios({
      url: baseUrl + '/constructionPda/complement/getIntegrityDocumentationDetail',
      method: 'get',
      params
    })
  },
  // 获取minio图片
  getImageOfMinio(data) {
    return Axios({
      url: `${baseUrl}/minio/getImageOfMinio?fileName=${data}`,
      method: "post"
    });
  },
  // 获取管理中心
  queryPlatformByAdministrationCenter (params) {
    return Axios({
      url: baseUrl + '/constructionPda/queryPlatformByAdministrationCenter',
      method: 'get',
      params
    })
  }
}

export function getToken () {
  return axios({
    url: '/auth/oauth/token?grant_type=client_credentials&tenant_role_key=QHD32-6',
    method: 'post',
    data: '',
    headers: {
      Authorization: 'Basic MmMwZjgyMmM1Njk2NDFkN2JkMTMyMTBkY2UxNDlhZjQ6MGM1YjcyMzUtYjdhMy00NjgyLWFkOTYtZDBiMjNjYzgxMWYz',
      'Content-Type': 'application/json'
    }
  })
}
