import axios from 'axios'
import store from '@/store'
import vm from '../main'
import { Toast } from 'vant'
// const baseUrl = ''
// const baseURL = process.env.NODE_ENV === 'development' ? 'http://192.168.3.47:8080' : '/apps/niujie-shigongdy'
const baseURL = process.env.NODE_ENV === 'development' ? 'http://192.168.3.90:8091/' : '/apps/niujie-shigongdy'

const service = axios.create({
  baseURL, // 请求的接口
  timeout: 100000 // 请求超时时间
})
// loading效果
let loading
function startLoading () {
  loading = Toast.loading({
    message: '加载中...',
    forbidClick: true
  })
}

function endLoading () {
  loading.clear()
}
// 添加请求拦截器
service.interceptors.request.use((config) => {
  // 设置token，Content-Type
  // var token = sessionStorage.getItem('token')
  // token暂时写死，等待登录接口返回存储本地
  config.headers.Authorization =
  'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ0ZW5hbnRfcm9sZV9rZXkiOiJRSEQzMi02IiwidXNlcl9pZCI6IjEiLCJ1c2VyX25hbWUiOiJhZG1pbiIsInNjb3BlIjpbInNlcnZlciJdLCJleHAiOjE2ODM2MjcxNjYsImp0aSI6Im1iamZqN3JDSkpLZkFfRVJwd3c1S0VjSHJxWSIsImNsaWVudF9pZCI6IiRzeXN0ZW0kIn0.GDF5saVX6afhg4rWfQfv9uK9su6kQ4nudv_XyMsv3f0'
  config.headers['Content-Type'] = 'application/json;charset=UTF-8'
  startLoading()
  return config
},
(error) => {
  return Promise.reject(error)
})
// 响应拦截器
service.interceptors.response.use(response => {
  if (response.data.code !== 200) {
    vm.$notify({
      type: 'danger',
      message: response.data.msg,
      duration: 1000
    })
  }
  endLoading()
  return response
})
export default service
