import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
  // {
  //   path: '/',
  //   name: 'login',
  //   component: () => import('components/login/index.vue'),
  //   meta: { title: '登录', keepAlive: false, hidden: false }
  // },
  // {
  //   path: '/login',
  //   name: 'login',
  //   component: () => import('components/login/index.vue'),
  //   meta: { title: '登录', keepAlive: false, hidden: false }
  // },
  {
    path: '/',
    name: 'home',
    component: () => import('views/home/index.vue'),
    meta: { title: '首页', keepAlive: false, hidden: true }
  },
  {
    path: '/news',
    name: 'news',
    component: () => import('views/news/index.vue'),
    meta: { title: '消息', keepAlive: false, hidden: true }
  },
  {
    path: '/my',
    name: 'my',
    component: () => import('views/my/index.vue'),
    meta: { title: '我的', keepAlive: false, hidden: true }
  },
  {
    path: '/evaluationList',
    name: 'evaluationList',
    component: () => import('views/home/completionConstruction/constructionEvaluation/evaluationList.vue'),
    meta: { title: '施工评价', keepAlive: false, hidden: false }
  },
  {
    path: '/evaluationDteails',
    name: 'evaluationDteails',
    component: () => import('views/home/completionConstruction/constructionEvaluation/evaluationDteails.vue'),
    meta: { title: '施工评价详情', keepAlive: false, hidden: false }
  },
  {
    path: '/performanceList',
    name: 'performanceList',
    component: () => import('views/home/completionConstruction/performanceSettlement/performanceList.vue'),
    meta: { title: '绩效结算', keepAlive: false, hidden: false }
  },
  {
    path: '/performanceDteails',
    name: 'performanceDteails',
    component: () => import('views/home/completionConstruction/performanceSettlement/performanceDteails.vue'),
    meta: { title: '绩效结算详情', keepAlive: false, hidden: false }
  },
  {
    path: '/completionList',
    name: 'completionList',
    component: () => import('views/home/completionConstruction/completionReport/completionList.vue'),
    meta: { title: '完工报告', keepAlive: false, hidden: false }
  },
  {
    path: '/completionDteails',
    name: 'completionDteails',
    component: () => import('views/home/completionConstruction/completionReport/completionDteails.vue'),
    meta: { title: '完工报告确认', keepAlive: false, hidden: false }
  },
  {
    path: '/documentList',
    name: 'documentList',
    component: () => import('views/home/completionConstruction/documentIntegrity/documentList.vue'),
    meta: { title: '文档完整性', keepAlive: false, hidden: false }
  },
  {
    path: '/documentDteails',
    name: 'documentDteails',
    component: () => import('views/home/completionConstruction/documentIntegrity/documentDteails.vue'),
    meta: { title: '文档完整性详情', keepAlive: false, hidden: false }
  },
  {
    path: '/completionRecordList',
    name: 'completionRecordList',
    component: () => import('views/my/completionRecord/completionRecordList.vue'),
    meta: { title: '完工报告确认记录', keepAlive: false, hidden: false }
  },
  {
    path: '/completionRecordDteails',
    name: 'completionRecordDteails',
    component: () => import('views/my/completionRecord/completionRecordDteails.vue'),
    meta: { title: '完工报告确认', keepAlive: false, hidden: false }
  },
  {
    path: '/evaluationRecordList',
    name: 'evaluationRecordList',
    component: () => import('views/my/evaluationRecord/evaluationRecordList.vue'),
    meta: { title: '施工评价记录', keepAlive: false, hidden: false }
  },
  {
    path: '/evaluationRecordDteails',
    name: 'evaluationRecordDteails',
    component: () => import('views/my/evaluationRecord/evaluationRecordDteails.vue'),
    meta: { title: '施工评价详情', keepAlive: false, hidden: false }
  },
  {
    path: '/operatingRecordList',
    name: 'operatingRecordList',
    component: () => import('views/my/operatingRecord/operatingRecordList.vue'),
    meta: { title: '操作记录', keepAlive: false, hidden: false }
  },
  {
    path: '/operatingRecordDteails',
    name: 'operatingRecordDteails',
    component: () => import('views/my/operatingRecord/operatingRecordDteails.vue'),
    meta: { title: '操作记录流程', keepAlive: false, hidden: false }
  },
  {
    path: '/performanceSettlementRecordList',
    name: 'performanceSettlementRecordList',
    component: () => import('views/my/performanceSettlementRecord/performanceSettlementRecordList.vue'),
    meta: { title: '绩效结算记录', keepAlive: false, hidden: false }
  },
  {
    path: '/performanceSettlementRecordDteails',
    name: 'performanceSettlementRecordDteails',
    component: () => import('views/my/performanceSettlementRecord/performanceSettlementRecordDteails.vue'),
    meta: { title: '绩效结算详情', keepAlive: false, hidden: false }
  },
  {
    path: '/problemRecordList',
    name: 'problemRecordList',
    component: () => import('views/my/problemRecord/problemRecordList.vue'),
    meta: { title: '施工问题记录', keepAlive: false, hidden: false }
  },
  {
    path: '/problemRecordDteails',
    name: 'problemRecordDteails',
    component: () => import('views/my/problemRecord/problemRecordDteails.vue'),
    meta: { title: '问题录入', keepAlive: false, hidden: false }
  },
  {
    path: '/constructionPlan',
    name: 'constructionPlan',
    component: () => import('views/start/plan/constructionPlan.vue'),
    meta: { title: '施工计划', keepAlive: false, hidden: false }
  },
  {
    path: '/constructionPlanDetails',
    name: 'constructionPlanDetails',
    component: () => import('views/start/plan/constructionPlanDetails.vue'),
    meta: { title: '施工计划确认详情', keepAlive: false, hidden: false }
  },
  {
    path: '/controlSingle',
    name: 'controlSingle',
    component: () => import('views/start/start/controlSingle.vue'),
    meta: { title: '工程控制单', keepAlive: false, hidden: false }
  },
  {
    path: '/controlSingleDetails',
    name: 'controlSingleDetails',
    component: () => import('views/start/start/controlSingleDetails.vue'),
    meta: { title: '施工启动-工程控制单详情', keepAlive: false, hidden: false }
  },
  {
    path: '/problemEntry',
    name: 'problemEntry',
    component: () => import('views/constructionProcess/problemEntry/index.vue'),
    meta: { title: '问题录入', keepAlive: false, hidden: false }
  },
  {
    path: '/constructionDailyList',
    name: 'constructionDailyList',
    component: () => import('views/constructionProcess/constructionDaily/constructionDailyList.vue'),
    meta: { title: '施工日报', keepAlive: false, hidden: false }
  },
  {
    path: '/constructionDailyListArr',
    name: 'constructionDailyListArr',
    component: () => import('views/constructionProcess/constructionDaily/constructionDailyListArr.vue'),
    meta: { title: '施工日报二级', keepAlive: false, hidden: false }
  },
  {
    path: '/constructionDailyLook',
    name: 'constructionDailyLook',
    component: () => import('views/constructionProcess/constructionDaily/constructionDailyLook.vue'),
    meta: { title: '施工日报查看', keepAlive: false, hidden: false }
  },
  {
    path: '/mobileSupervision',
    name: 'mobileSupervision',
    component: () => import('views/constructionProcess/mobileSupervision/mobileSupervisionList.vue'),
    meta: { title: '移动监管', keepAlive: false, hidden: false }
  },
  {
    path: '/mobileSupervision',
    name: 'mobileSupervision',
    component: () => import('views/constructionProcess/mobileSupervision/mobileSupervisionList.vue'),
    meta: { title: '文档', keepAlive: false, hidden: false }
  },
  {
    path: '/attendance',
    name: 'attendance',
    component: () => import('views/constructionProcess/attendance/attendanceList.vue'),
    meta: { title: '考勤', keepAlive: false, hidden: false }
  },
  {
    path: '/editCheck',
    name: 'editCheck',
    component: () => import('views/constructionProcess/attendance/editCheck.vue'),
    meta: { title: '考勤详情', keepAlive: false, hidden: false }
  },
  {
    path: '/workingHours',
    name: 'workingHours',
    component: () => import('views/constructionProcess/attendance/workingHours.vue'),
    meta: { title: '承包商工时表', keepAlive: false, hidden: false }
  },
  {
    path: '/think',
    name: 'think',
    component: () => import('views/constructionProcess/think/index.vue'),
    meta: { title: '五想五不干', keepAlive: false, hidden: false }
  },
  {
    path: '/getUpload',
    name: 'getUpload',
    component: () => import('views/home/upload.vue'),
    meta: { title: '上传文件', keepAlive: false, hidden: false }
  }
]

const router = new VueRouter({
  routes,
  scrollBehavior: () => ({ y: 0 })
})

export default router
